Package org.apache.ignite.spi.deployment

## Class DeploymentResourceAdapter

- java.lang.Object
- - org.apache.ignite.spi.deployment.DeploymentResourceAdapter

- All Implemented Interfaces:
    `DeploymentResource`

      @Deprecated
      public class DeploymentResourceAdapter
      extends Object
      implements DeploymentResource

  Deprecated.
  Will be replaced with the IgniteClassPath in the next versions.
  Simple adapter for `DeploymentResource` interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentResourceAdapter​(String name, Class<?> rsrcCls, ClassLoader clsLdr)` | Deprecated. Creates resource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` | Deprecated.
    `ClassLoader` | `getClassLoader()` | Deprecated. Gets resource class loader.
    `String` | `getName()` | Deprecated. Gets resource name, either class name or alias name, such as alias specified by `ComputeTaskName` annotation.
    `Class<?>` | `getResourceClass()` | Deprecated. Gets resource class.
    `int` | `hashCode()` | Deprecated.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentResourceAdapter

          public DeploymentResourceAdapter​(String name,
                                           Class<?> rsrcCls,
                                           ClassLoader clsLdr)

      Deprecated.
      Creates resource.
      Parameters:
        `name` - Resource name.
        `rsrcCls` - Class.
        `clsLdr` - Class loader.

  - ### Method Detail

    - #### getName

          public String getName()

      Deprecated.
      Gets resource name, either class name or alias name, such as alias specified by `ComputeTaskName` annotation.
      Specified by:
        `getName` in interface `DeploymentResource`
      Returns:
        Resource name.

    - #### getResourceClass

          public Class<?> getResourceClass()

      Deprecated.
      Gets resource class.
      Specified by:
        `getResourceClass` in interface `DeploymentResource`
      Returns:
        Resource class.

    - #### getClassLoader

          public ClassLoader getClassLoader()

      Deprecated.
      Gets resource class loader.
      Specified by:
        `getClassLoader` in interface `DeploymentResource`
      Returns:
        Resource class loader.

    - #### equals

          public boolean equals​(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`